#!/bin/sh

CAMD_ID=1717
CAMD_NAME="Oscam ymod"
CAMD_BIN=oscam

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/oscam*
}

case "$1" in
  start)
  remove_tmp
  /usr/bin/$CAMD_BIN -b &
  ;;
  stop)
  killall -9 $CAMD_BIN 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  info)
  echo $CAMD_NAME
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0

